Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 320659

Summary: sys-apps/portage - emerge should show USE flags when it quits because of missing dependencies
Product: Portage Development Reporter: Tiago Marques <bugs>
Component: Core - Interface (emerge)Assignee: Portage team <dev-portage>
Status: RESOLVED FIXED    
Severity: normal CC: esigra
Priority: High Keywords: InVCS
Version: 2.1   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 300071, 335925    

Description Tiago Marques 2010-05-19 23:32:38 UTC
$ sudo emerge -pv subversion

These are the packages that would be merged, in order:

Calculating dependencies... done!

emerge: there are no ebuilds built with USE flags to satisfy ">=x11-libs/qt-core-4.5.1:4[qt3support,ssl]".
!!! One of the following packages is required to complete your request:
- x11-libs/qt-core-4.6.2-r1 (Change USE: +qt3support)
(dependency required by "kde-base/kwalletd-4.3.5" [ebuild])
(dependency required by "dev-util/subversion-1.6.9" [ebuild])
(dependency required by "subversion" [argument])
----------------------------------------------------------------------

Subversion should be showing the flags selected either way but it's not. I had to go to gentoo-portage.com to figure out it was the "kde" flag that was pulling those packages.
Please fix this so it can show the flags selected again.
Thanks

Reproducible: Always
Comment 1 Jeroen Roovers gentoo-dev 2010-05-20 19:38:57 UTC
Please post your `emerge --info'.
Comment 2 Tiago Marques 2010-05-20 22:16:17 UTC
Portage 2.1.8.3 (default/linux/x86/10.0/server, gcc-3.4.6, glibc-2.9_p20081201-r2, 2.6.29-gentoo-r5 i686)
=================================================================
System uname: Linux-2.6.29-gentoo-r5-i686-AMD_Sempron-tm-_Processor_3600+-with-gentoo-1.12.11.1
Timestamp of tree: Wed, 19 May 2010 13:00:01 +0000
app-shells/bash:     3.2_p33
dev-lang/python:     2.5.4-r2, 2.6.4
dev-python/pycrypto: 2.0.1-r8
dev-util/cmake:      2.4.6-r1
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r3
sys-devel/gcc:       3.3.6-r1, 3.4.6-r2, 4.1.2
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=i686 -mtune=athlon-xp"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb"
CONFIG_PROTECT_MASK="/etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe -march=i686 -mtune=athlon-xp"
DISTDIR="/tmp/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://darkstar.ist.utl.pt/gentoo/"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext acl apache2 berkdb bzip2 cli cpudetection cracklib crypt cxx dri fortran gdbm gpm hal iconv ipv6 ldap mmx mmxext modules mplayer mudflap mysql ncurses nls nptl nptlonly openmp pam pcre perl pppd python readline reflection samba session snmp spl sse ssl sysfs tcpd truetype unicode wifi x86 xml xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="vesa sis" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY

--------------------------------------------------

Here it is.
Comment 3 Tiago Marques 2010-08-29 04:45:06 UTC
This is a really annoying bug. Can someone please point me to the maintainer and maybe I can help with this?
Comment 4 Zac Medico gentoo-dev 2010-08-29 04:58:06 UTC
It's fixed in git here:

http://git.overlays.gentoo.org/gitweb/?p=proj/portage.git;a=commit;h=b4f474b4ffac07f9059a8a1a070c4145458321d9

It's also released in >=portage-2.2_rc68 and will be included in portage-2.1.9 when it's released.
Comment 5 Tiago Marques 2010-08-29 05:22:57 UTC
Thank you!
Comment 6 Zac Medico gentoo-dev 2010-09-04 08:31:20 UTC
This is fixed in 2.1.9.